Bug 99327 - [MAINTAINER] devel/cgdb: fix typo
[MAINTAINER] devel/cgdb: fix typo
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Emanuel Haupt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 23:20 UTC by gslin
Modified: 2006-06-26 16:00 UTC (History)
1 user (show)

See Also:


Attachments
cgdb-0.6.3_1.patch (558 bytes, patch)
2006-06-22 23:20 UTC, gslin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2006-06-22 23:20:23 UTC
- fix typo.

Generated with FreeBSD Port Tools 0.77
Comment 1 Emanuel Haupt freebsd_committer 2006-06-23 08:54:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2006-06-23 09:13:53 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks!
Comment 3 gslin 2006-06-23 16:50:53 UTC
Hello,

On Fri, Jun 23, 2006 at 10:14:06AM +0200, Emanuel Haupt wrote:
> Synopsis: [MAINTAINER] devel/cgdb: fix typo
> 
> State-Changed-From-To: open->closed
> State-Changed-By: ehaupt
> State-Changed-When: Fri Jun 23 10:13:53 CEST 2006
> State-Changed-Why: 
> Committed with modifications, thanks!
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=99327

This modification has some problem.

http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/cgdb/Makefile

cgdb needs readline 5.1+, right now all except 7.0-current has 5.0 or
older version in base system.  It's libreadline.so.{4,5,6} in FreeBSD
{4,5,6}.x.  But readline 5.1 in port system is .so.5.

So if I use LIB_DEPENDS to detect readline.5, then it will not install
readline-5.1 in 5.x and 6.x with misc/compat5x installed.

That's the reason why I use {BUILD,RUN}_DEPENDS instead of LIB_DEPENDS.

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 4 Emanuel Haupt freebsd_committer 2006-06-24 11:04:35 UTC
State Changed
From-To: closed->open

More input given.
Comment 5 Emanuel Haupt freebsd_committer 2006-06-24 11:54:56 UTC
Thank you for your reply. What do you think about the following patch?

--- patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/cgdb/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile	23 Jun 2006 08:13:42 -0000	1.10
+++ Makefile	24 Jun 2006 10:52:36 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	cgdb
 PORTVERSION=	0.6.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -22,8 +22,10 @@
 
 .include <bsd.port.pre.mk>
 
+# at this time we can not use LIB_DEPENDS please read ports/99327
 .if ${OSVERSION} < 700016
-LIB_DEPENDS+=	readline.5:${PORTSDIR}/devel/readline
+BUILD_DEPENDS+=	${LOCALBASE}/lib/libreadline.so.5:${PORTSDIR}/devel/readline
+RUN_DEPENDS=	${BUILD_DEPENDS}
 LDFLAGS+=	-rpath ${LOCALBASE}/lib
 CONFIGURE_ARGS+=	--with-readline=${LOCALBASE}
 CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}"
--- patch ends here ---
Comment 6 gslin 2006-06-26 05:40:17 UTC
Hello,

Yes, it looks fine.

On Sat, Jun 24, 2006 at 12:54:56PM +0200, Emanuel Haupt wrote:
> Thank you for your reply. What do you think about the following patch?
> 
> --- patch begins here ---
> Index: Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/devel/cgdb/Makefile,v
> retrieving revision 1.10
> diff -u -r1.10 Makefile
> --- Makefile	23 Jun 2006 08:13:42 -0000	1.10
> +++ Makefile	24 Jun 2006 10:52:36 -0000
> @@ -7,7 +7,7 @@
>  
>  PORTNAME=	cgdb
>  PORTVERSION=	0.6.3
> -PORTREVISION=	2
> +PORTREVISION=	3
>  CATEGORIES=	devel
>  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
>  MASTER_SITE_SUBDIR=	${PORTNAME}
> @@ -22,8 +22,10 @@
>  
>  .include <bsd.port.pre.mk>
>  
> +# at this time we can not use LIB_DEPENDS please read ports/99327
>  .if ${OSVERSION} < 700016
> -LIB_DEPENDS+=	readline.5:${PORTSDIR}/devel/readline
> +BUILD_DEPENDS+=	${LOCALBASE}/lib/libreadline.so.5:${PORTSDIR}/devel/readline
> +RUN_DEPENDS=	${BUILD_DEPENDS}
>  LDFLAGS+=	-rpath ${LOCALBASE}/lib
>  CONFIGURE_ARGS+=	--with-readline=${LOCALBASE}
>  CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS}"
> --- patch ends here ---

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 7 Emanuel Haupt freebsd_committer 2006-06-26 16:00:45 UTC
State Changed
From-To: open->closed

Committed, thanks!